package com.sqx.modules.appeal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.appeal.entity.Appeal;

public interface AppealService extends IService<Appeal> {

    PageUtils getAppealPage(Integer page, Integer limit, Long userId, Appeal appeal, String startTime, String endTime);

    Result insertAppeal(Appeal appeal);

    Result updateAppeal(Appeal appeal);

    Result deleteAppeal(Long id);
}
